Debian Bug report logs - #696232
ITP: jq -- a command-line json processor

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Simon Elsbrock <simon@iodev.org>

Date: Tue, 18 Dec 2012 12:39:02 UTC

Owned by: Simon Elsbrock <simon@iodev.org>

Severity: wishlist

Fixed in version jq/1.2-8

Done: Simon Elsbrock <simon@iodev.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#696232; Package wnpp. (Tue, 18 Dec 2012 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Elsbrock <simon@iodev.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 18 Dec 2012 12:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Elsbrock <simon@iodev.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: jq -- a command-line json processor
Date: Tue, 18 Dec 2012 13:35:15 +0100
Package: wnpp
Severity: wishlist
Owner: Simon Elsbrock <simon@iodev.org>

* Package name    : jq
  Version         : 1.1
  Upstream Author : Stephen Dolan <mu@netsoc.tcd.ie>
* URL             : http://github.com/stedolan/jq
* License         : (MIT)
  Programming Lang: (C)
  Description     : a command-line json processor

jq is like sed for JSON data - you can use it to slice and filter and
map and transform structured data with the same ease that sed, awk, grep
and friends let you play with text.

jq is written in portable C, and it has zero runtime dependencies.

jq can mangle the data format that you have into the one that you want
with very little effort, and the program to do so is often shorter and
simpler than you’d expect.

(description was taken from http://stedolan.github.com/jq/)



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 21 Feb 2013 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to Simon Elsbrock <simon@iodev.org>:
You have taken responsibility. (Fri, 19 Apr 2013 10:03:16 GMT) Full text and rfc822 format available.

Notification sent to Simon Elsbrock <simon@iodev.org>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 10:03:16 GMT) Full text and rfc822 format available.

Message #12 received at 696232-close@bugs.debian.org (full text, mbox):

From: Simon Elsbrock <simon@iodev.org>
To: 696232-close@bugs.debian.org
Subject: Bug#696232: fixed in jq 1.2-8
Date: Fri, 19 Apr 2013 10:00:07 +0000
Source: jq
Source-Version: 1.2-8

We believe that the bug you reported is fixed in the latest version of
jq, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696232@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Elsbrock <simon@iodev.org> (supplier of updated jq package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 21 Dec 2012 23:28:59 +0100
Source: jq
Binary: jq
Architecture: source amd64
Version: 1.2-8
Distribution: unstable
Urgency: low
Maintainer: Simon Elsbrock <simon@iodev.org>
Changed-By: Simon Elsbrock <simon@iodev.org>
Description: 
 jq         - lightweight and flexible command-line JSON processor
Closes: 696232
Changes: 
 jq (1.2-8) unstable; urgency=low
 .
   * Initial release (Closes: #696232)
Checksums-Sha1: 
 2b3e86f0e259690f3ebc21c9ea8849f599759613 1684 jq_1.2-8.dsc
 4f45f0da50a4a9a1e1f3af926e157f7e717fd106 178766 jq_1.2.orig.tar.gz
 c9d0843d61e927e7aa54b82c943c1c08b56457b4 9645 jq_1.2-8.debian.tar.gz
 17e72c0e659b4747f54767744ace547c16a8ad23 83748 jq_1.2-8_amd64.deb
Checksums-Sha256: 
 7e0e29211c7b26910801c52bcf1f0c3d2f3b7b0919fa8517756161ad77998cef 1684 jq_1.2-8.dsc
 d9672b48afc1264508dedb4c56cbd52374d34b54a85e8a726c98b1b0ca120397 178766 jq_1.2.orig.tar.gz
 60c541060b58a60e06f3ffc8b4ec398fd7b563f83dba607b5f291565e36bb993 9645 jq_1.2-8.debian.tar.gz
 194178b18da317be772333b0fd4468b323926237d05110132fa368ed987e98d7 83748 jq_1.2-8_amd64.deb
Files: 
 835fdf7726bef3721354637e9b96ae64 1684 utils optional jq_1.2-8.dsc
 14254905a648d85caf5af15dd2ce242e 178766 utils optional jq_1.2.orig.tar.gz
 47b0d9ea93a6535dc3f093a97c33b0b3 9645 utils optional jq_1.2-8.debian.tar.gz
 255e11b3ae324a5637991318d617997d 83748 utils optional jq_1.2-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRaDLGAAoJEE5xYO1KyO4dbQQP+wQb/Bu6UvIZskocbZbCoi32
8BZXq6LeyGDzaui6Sb3H5X6F6qqkSpvTGXF9dGniRSV/bwDSWN54ppOANdtMg9+v
BPQLixpdXuaRjCFr/g5iqM0wPoFkmwUj5QZeL7Mqb/gSHU7/u8ButFEUgxMZKh+v
eZmzE0XjOiU0yjvotMCpr0B7uzESf1Fvwsdf6bbtO/F5KdvJReccyTwjS0W4yxei
p/lYaJtM0ULeT/v2p6ZclJKGCvaFQachebhOVxUMUFmqp9K+fVSplFVi6tWkg8Pq
b97sxF6AR3sbHfW9P23t+Y/a/RCX/88G8DUlZ1a0k+XL2rkQrHGQB39PikG3LX1v
bRK4jBW87XY9Cz2SKxC2YkwyvRNkmK3WftaYg/97lE/n8rwNwuXuHw4zH+sgFVh7
zX9uLEVcIGqTyoEoeaeURbb5W2wGZ665M77BTFXGSMR+4cNRMT/6r4lg0mXwc+2p
jwyuY+nO63BxFWSyCjgaiPp9GF+JA/4eUGsAzvOBXtebUby1xpBv9PKXsXT0NsDI
fnae1y7ZJkGMBN1PFzNq5hCzA4IMQBoqk+Fswqpa/qZ1crs2YW2YkyLaCFBRBRHh
Yx1ETSqkv9quubD58tW2j3U1JtnN1lPL9n/60vuG0zteq/nl4RMmT+D7apoHQ6Wy
tZJV7rOaMagX02fKT/sY
=y5gl
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:28:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:30:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.